# Configuration of paths for createvm
PREFIX=/usr
SHARE_DIR=${PREFIX}/share/createvm

# directory containing pool definition files
POOL_DIR=$SHARE_DIR/pools

# location of helper scripts, for performing resource allocation
HELPER_DIR=$SHARE_DIR/helpers

# Directory containing install CDs.
ISO_DIR=/disk1/isos

# central lock on resource allocation
LOCK_DIR=/var/lock
LOCKFILE=create_vm.lock

# resource allocation drop/lockfiles
MGMT_DIR=/var/local/createvm

PRESEED_DIR=$MGMT_DIR/preseed

# Directory containing VMs?
VM_DIR=$MGMT_DIR/VMs

# where to get files to template from.
TEMPLATE_DIR=$SHARE_DIR/templates

# directory where createvm should store ip port allocations.
IPPORT_DIR=$MGMT_DIR/ipports

# directory where service mappings are stored.
SERVICE_DIR=$MGMT_DIR/services/

# directory where forward mappings are stored.
FORWARD_DIR=$MGMT_DIR/forwards

# directory outside the management directory, where our firewall scripts handle ports.
ARNO_DIR=/var/lib/createvm/arno

# directory outside the management directory, where our DHCP ranges are handled.
DHCP_DIR=/var/lib/createvm/dhcp

# directory outside the management directory, where our bind scripts handle 'fake' domain name creation.
BIND_DIR=/var/lib/createvm/bind

# the name of the kvm process when we see it in 'ps' output.
KVM_PROCESS=qemu-system-x86_64

# the name of the virtualization tool being run.
KVM_BIN=/usr/bin/kvm

# Root apache2 config directory
APACHE_DIR=/etc/apache2

#in anything parsable by qemu/kvm
preseed_ram=1G

#always in bytes
default_disk_size=6442450944

USERNAME=demo
USERPASSWD=fai
